Not applicable
10-28-2020
11:45 AM
- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
I'm trying to create a routine where my polyline gets two parameters:
the first is the consistency between the verticies
the second is the maximum total length
how to make my polyline close while maintaining the preview of its design?
why doesn't my overall length work?
(defun c:foo ( )
(setq tot_ '())
(setq maximum_limit_between_vertices 90.0)
(setq total_maximum_limit 4000.0)
(setq pnt (getpoint "\nSpecify first point: "))
(while
(setq pnt_2 (getpoint pnt "\nSpecify next point: "))
(if (> (setq dis_ (distance pnt pnt_2)) maximum_limit_between_vertices)
(alert "total limit exceeded.")
(progn
(command "_.Pline" pnt pnt_2 "")
;**polylines not closing!
(setq pnt pnt_2)
(setq tot_ (append (list dis_) tot_))
(if (> (apply '+ tot_) total_maximum_limit)
(alert "total general limit exceeded.")
)
)
)
)
)
Solved! Go to Solution.
Link copied